Subject: Re: bug#9006: 24.0.50; Abort in unshow_buffer/kill-buffer

From: Stephen Berman <[email-masked]>
Date: Sat, 09 Jul 2011 18:54:24 +0200

On Sat, 09 Jul 2011 18:27:16 +0200 Stephen Berman <[email-masked]> wrote:

> aborts.  Then I tried with old_buffer, and so far, this is working:
> display is normal, about-emacs works, navigating and editing in Gnus
> works (so far); I'm even running a CPU-intensive program simultaneously
> as a stress test.  No abort yet; I'll keep you posted.

I just encountered a bad effect that I assume is caused by this change,
since it didn't happen before: when I type `h'
(gnus-summary-select-article-buffer) in the Gnus Summary buffer, this
splits the window and selects the Article buffer as it's supposed to,
but in the Summary buffer point simultaneously moves to point-min; it's
supposed to stay put.  The same thing happens when I have split windows
with the Summary and Article buffer and in the former type C-x o
(other-window).  I haven't been able to reproduce this with other
buffers, but only with Gnus Summary.  Still no abort, but this effect
means the fix -- if it is one -- at least needs further tuning.

Steve Berman